%undefine _cmake_shared_libs

Summary: AMDGPU Userspace Register Debugger
Name: umr
Version: 1.0.8
Release:    2%{?dist}
License: MIT
URL: https://gitlab.freedesktop.org/tomstdenis/umr
Source0: https://gitlab.freedesktop.org/tomstdenis/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz


BuildRequires: llvm-devel

BuildRequires: libdrm-devel

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: libpciaccess-devel
BuildRequires: mesa-libgbm-devel
BuildRequires: nanomsg-devel
BuildRequires: ncurses-devel
BuildRequires: SDL2-devel
BuildRequires: zlib-devel
Requires: bash-completion
ExclusiveArch:  x86_64 aarch64 ppc64le loongarch64

%description
AMDGPU Userspace Register Debugger (UMR) is a tool to read and display, as well
as write to AMDGPU device MMIO, PCIE, SMC, and DIDT registers via userspace.

%package devel
Summary: UMR development package
Requires: %{name} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}

%description devel
AMDGPU Userspace Register Debugger header files and libraries

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%{!?cmake:%global cmake %%cmake3}
%cmake %{?disablellvm:-DUMR_NO_LLVM=ON} \
        %{?disablelibdrm:-DUMR_NO_DRM=ON} \
        %{?enablert:-DUMR_NEED_RT=ON} \
        -DCMAKE_BUILD_TYPE="RELEASE"
%cmake_build

%install
%cmake_install

%files
%doc README
%license LICENSE
%{_bindir}/%{name}*
%{_mandir}/man1/*
%{_datadir}/%{name}
%{_datadir}/bash-completion/completions/%{name}

%files devel
%{_includedir}/umr*
%{_libdir}/*.a

%changelog
* Thu Nov 21 2024 Pengda Dou <doupengda@loongson> - 1.0.8-2
- [Type] other
- [DESC] add loongarch64 to ExclusiveArch

* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.8-1
- initial build
